name: general
display_name: "General"
description: "Default profile for any topic. Clean, engaging, broadly appealing."

script:
  tone: "clear, engaging, conversational, curious"
  pacing: "moderate, well structured, easy to follow"
  perspective: "first person, talking to a friend"
  word_count: "150 to 180"
  sentence_style: "mix of short and medium sentences"
  hooks:
    - id: breaking_news
      template: "This just happened and you need to know about it."
      when: "recent event"
    - id: explainer
      template: "Let me explain {topic} in 60 seconds."
      when: "complex topic"
    - id: question
      template: "Why is everyone talking about {topic}? Here's the real story."
      when: "trending topic"
    - id: statistic_shock
      template: "{shocking_stat}. That number changes everything."
      when: "surprising data"
    - id: story
      template: "Here's a story you haven't heard yet."
      when: "narrative driven topic"
  cta_variants:
    - "Follow for more."
    - "Subscribe for daily updates."
    - "What do you think? Comment below."
  forbidden_phrases:
    - "like and subscribe"
    - "smash that bell"
    - "what's up guys"
    - "without further ado"
  structure:
    opening: "Hook in first 3 seconds. No intro."
    middle: "3 key facts, each building on the last."
    closing: "Clear takeaway, then CTA."

visuals:
  style: "cinematic, professional, clean"
  mood: "engaging, visually interesting"
  color_palette: ["#1A1A2E", "#16213E", "#0F3460", "#E94560"]
  subjects:
    prefer:
      - "cinematic establishing shot"
      - "dramatic close up with shallow depth of field"
      - "atmospheric landscape"
    avoid:
      - "stock photo cliches"
      - "clipart"
  prompt_suffix: "photorealistic, cinematic lighting, high quality, 4K"

voice:
  pace: "moderate, approximately 150 words per minute"
  energy: "warm, engaging, natural"
  suggested_voices:
    edge_tts:
      en: "en-US-GuyNeural"
      hi: "hi-IN-MadhurNeural"

captions:
  highlight_color: "#FFFF00"
  text_color: "#FFFFFF"
  font_size: 72
  font_weight: "bold"
  words_per_group: 4

music:
  mood: "ambient, subtle, no lyrics"
  energy: "medium"
  tags: ["ambient", "cinematic"]
  duck_volume_speech: 0.12
  duck_volume_gap: 0.25

thumbnail:
  style: "bold text, high contrast, one dominant visual"
  text_color: "#FFFFFF"
  accent_color: "#E94560"
  max_words: 5

discovery:
  reddit:
    subreddits: ["worldnews", "todayilearned", "science", "technology"]
  rss:
    feeds:
      - "https://hnrss.org/frontpage"
